# Uses of Enum Class
writer2latex.office.BibMark.EntryType

Packages that use BibMark.EntryType
Package
Description
writer2latex.bibtex
writer2latex.office

## Uses of BibMark.EntryType in writer2latex.bibtex

Methods in writer2latex.bibtex that return BibMark.EntryType
Modifier and Type
Method
Description
`static final BibMark.EntryType`
BibTeXEntryMap.`getEntryType(String sFieldName)`
Return entry type corresponding to a BibTeX field
Methods in writer2latex.bibtex with parameters of type BibMark.EntryType
Modifier and Type
Method
Description
`static final String`
BibTeXEntryMap.`getFieldName(BibMark.EntryType entryType)`
Return BibTeX field name corresponding to and entry type

## Uses of BibMark.EntryType in writer2latex.office

Methods in writer2latex.office that return BibMark.EntryType
Modifier and Type
Method
Description
`static BibMark.EntryType`
BibMark.EntryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BibMark.EntryType[]`
BibMark.EntryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in writer2latex.office with parameters of type BibMark.EntryType
Modifier and Type
Method
Description
`String`
BibMark.`getField(BibMark.EntryType entryType)`
Return a specific field.
`void`
BibMark.`setField(BibMark.EntryType entryType, String sValue)`
Set a specific field.